<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">

    <h:panelGroup>
        <h:form>
            <div class="col-sm-12 col-md-3 gzl-card statistics-card-height">
                <div class="row">
                    <div class="col-sm-12 gzl-card-header">

                            <span class="statistics-title-wrap #{titleClass}"
                                  title="#{headerTitle}"><em class="#{iconBeforeTitle}"/> #{headerTitle}</span>
                        <span>
                        <h:link outcome="#{link}" title="#{titleLink}"
                                class="#{classLink}" rendered="#{not empty link}"/>
                    </span>
                        <span>
                            <ui:insert name="additional-link"/>
                        </span>
                    </div>
                </div>
                <div class="row gzl-card-content">
                    <s:span rendered="#{not empty information}">
                        <h4 class="statistics-information #{informationClass}">
                            #{information}
                        </h4>
                    </s:span>
                    <h:outputScript library="jscript" name="Chart.js"/>
                    <h:outputScript library="jscript" name="chartjs-plugin-datalabels.js"/>
                    <canvas id="#{myChartId}" style="max-width:700px;min-height:230px;background:#f5f5f5"/>
                    <script>
                        labelValues =#{labelValues};
                        values = #{values};
                        barColors = #{colors};
                        new Chart('#{myChartId}', {
                            plugins: [ChartDataLabels],
                            type: "pie",
                            data: {
                                labels: labelValues,
                                datasets: [{
                                    backgroundColor: barColors,
                                    data: values,
                                    borderWidth: 0.5,
                                    datalabels: {
                                        anchor: 'end'
                                    }
                                }]
                            },
                            options: {
                                title: {
                                    display: true,
                                    text: "#{chartTitle}"
                                },
                                plugins: {
                                    datalabels: {
                                        backgroundColor: function (context) {
                                            return context.dataset.backgroundColor;
                                        },
                                        font: {
                                            weight: 'bold'
                                        }, display: function (context) {
                                            var dataset = context.dataset;
                                            var value = dataset.data[context.dataIndex];
                                            return value > 0;
                                        },
                                        borderColor: 'white',
                                        borderRadius: 25,
                                        borderWidth: 2,
                                        color: 'white',
                                    }
                                },
                                layout: {
                                    padding: 15
                                },
                                aspectRatio: 4 / 3
                            }
                        });
                    </script>
                </div>
                <div class="row">
                    <ui:insert name="card-footer"/>
                </div>
            </div>
        </h:form>
    </h:panelGroup>
</ui:composition>